# OpenLayers.Filter.Function

This class represents a filter function. We are using this class for creation of complex filters that can contain filter functions as values. Nesting function as other functions parameter is supported.

Inherits from

- OpenLayers.Filter

Summary

OpenLayers.Filter.Function | This class represents a filter function.
Properties |
name | {String} Name of the function.
params | {Array(OpenLayers.Filter.Function || String || Number)} Function parameters For now support only other Functions, String or Number
Constructor |
OpenLayers.Filter.Function | Creates a filter function.

### Properties

### name

{String} Name of the function.

### params

{Array(OpenLayers.Filter.Function || String || Number)} Function parameters For now support only other Functions, String or Number

### Constructor

### OpenLayers.Filter.Function

Creates a filter function.

#### Parameters

options | {Object} An optional object with properties to set on the function.

#### Returns

{OpenLayers.Filter.Function}

Creates a filter function.
This class represents an OGC Filter.
Close